# This package is noarch, and supplies some foreign binaries for msp430.
# See https://www.redhat.com/archives/fedora-devel-list/2009-February/msg02261.html
%global _binaries_in_noarch_packages_terminate_build 0

Name:		msp430-libc
# There has been no release, so this is a snapshot
Version:	0
Release:	3.20090726cvs%{?dist}
Summary:	C library for use with GCC on Texas Instruments MSP430 microcontrollers
Group:		Development/Libraries
License:	BSD
URL:		http://mspgcc.sf.net/
# Pulled from the mspgcc CVS.  Regenerate with:
# cvs -d:pserver:anonymous@mspgcc.cvs.sourceforge.net:/cvsroot/mspgcc login 
# blank password (press enter)
# cvs -z3 -d:pserver:anonymous@mspgcc.cvs.sourceforge.net:/cvsroot/mspgcc co -P msp430-libc
# tar -cjf msp430-libc-cvs20090726.tar.bz2 msp430-libc
Source0:	msp430-libc-cvs20090726.tar.bz2
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:	msp430-gcc
Requires:	msp430-gcc
BuildArch:	noarch

%description
A C library for use on Texas Instruments MSP430 microcontrollers with
the mspgcc toolchain.

%prep
%setup -q -n msp430-libc

%build
cd src
CFLAGS="%{optflags}" make %{?_smp_mflags} prefix=%{_prefix}


%install
rm -rf %{buildroot}
cd src
make install prefix=%{buildroot}%{_prefix}

# despite us being noarch redhat-rpm-config insists on stripping our files
%define __os_install_post /usr/lib/rpm/redhat/brp-compress

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc doc/{devheaders.txt,volatil}
%dir %{_prefix}/msp430/lib/msp1
%dir %{_prefix}/msp430/lib/msp2
%dir %{_prefix}/msp430/include

%{_prefix}/msp430/include/*
%{_prefix}/msp430/lib/*.o
%{_prefix}/msp430/lib/*.a
%{_prefix}/msp430/lib/msp1/*.a
%{_prefix}/msp430/lib/msp2/*.a


%changelog
* Sun Jul 26 2009 Rob Spanton rspanton@zepler.net 0-3.20090726cvs
- Use later version from CVS

* Mon Jul 20 2009 Rob Spanton rspanton@zepler.net 0-2.20090620cvs
- Own /usr/msp430/include

* Sat Jun 28 2009 Rob Spanton rspanton@zepler.net 0-1.20090620cvs
- Initial release
